// ======================================================================
// etl_ice shader
// 2018 Cedric 'keMoN' E.
// http://www.etlegacy.com
// ======================================================================

levelshots/etl_ice_v2_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/etl_ice_v2_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_ice_v2_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_ice_v2_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

textures/xlab_wall/xmetal_c03_noclip
{
	qer_editorimage textures/xlab_wall/xmetal_c03.tga
	surfaceparm nonsolid
	implicitMap textures/xlab_wall/xmetal_c03
}

textures/metal_misc/metal_m03_noclip
{
	qer_editorimage textures/metal_misc/metal_m03.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m03
}

textures/metal_misc/metal_m04dr2_noclip
{
	qer_editorimage textures/metal_misc/metal_m04dr2.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m04dr2
}

textures/etl_ice/cweb_m01drk
{
	qer_trans 0.8
	qer_editorimage textures/alpha/cweb_m01drk.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 10 sin 0 2 0 0.2
	{
		map textures/alpha/cweb_m01drk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		depthFunc equal
		rgbGen identity
	}
}

textures/etl_ice/water_stain
{
	qer_editorimage textures/decals/water_stain.tga
	nopicmip
	nomipmaps	
	surfaceparm alphashadow
	surfaceparm nolightmap
	{
		map textures/decals/water_stain.tga	
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/decals/S_CHECKPOINT
{
	polygonOffset
	entityMergable
	{
		map textures/decals/S_CHECKPOINT.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/sfx/xflame2_1750_nolick
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 3000
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

//	TERRAIN
textures/etl_ice/snow
{
	qer_editorimage textures/editor/gravel.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/snow_mud
{
	qer_editorimage textures/editor/sand.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/ice
{
	qer_editorimage textures/editor/other.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	{
		// Primary 1
		map textures/snow_sd/icelake2.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/rockZ
{
	qer_editorimage textures/editor/shaderZ.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/stone/mxrock3g.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/rockX
{
	qer_editorimage textures/editor/shaderX.tga
	q3map_tcGen ivector ( 0 512 0 ) ( 0 0 512 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/stone/mxrock3g.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/rockY
{
	qer_editorimage textures/editor/shaderY.tga
	q3map_tcGen ivector ( 0 0 512 ) ( 512 0 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/stone/mxrock3g.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/metal
{
	qer_editorimage textures/editor/water1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/snow/s_diamond_c01a.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		// Secondary
		map textures/metal_misc/diamond_c_01.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/concrete_tiles
{
	qer_editorimage textures/editor/water2.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/snow/concrete_c07bcmp_snow.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/miltary_wall/concrete_c07bcmp.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/concrete_tiles_snow
{
	qer_editorimage textures/editor/other.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/snow/concrete_c07bcmp_snow.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_ice/snow_tiles
{
	qer_editorimage textures/editor/sky.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
//	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow/s_castle_m03_step_2a.tga
		tcMod scale 2 2
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}